Redirect to a file used in a lesson
GET /api/member/activities/{activityId}/assets/{assetId}. Redirect to a file used in a lesson. Headless LMS Files API reference.
Served when the student can open the course, the course and the lesson are published, and the lesson lists the file. Staff may fetch any file a lesson lists. Use the URL as an img, video or audio src.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/activities/string/assets/string"null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Redirect to a community's thumbnail GET
GET /api/member/communities/{communityId}/thumbnail. Redirect to a community's thumbnail. Headless LMS Files API reference.
Redirect to a file in a download, saved under its display name GET
GET /api/member/downloads/{downloadId}/assets/{assetId}. Redirect to a file in a download, saved under its display name. Headless LMS Files API reference.